%define release_name Laughin
%define dist_version 2012

Summary:	Fuduntu customizations package
Name:		fuduntu-customizations
Version:	2012
Release:	1
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.fuduntu.org
Source:		%{name}-%{version}.tar.bz2
Requires:	fuduntu-release
Requires:	fuduntu-awn

#Requires:	avant-window-navigator
#Requires:	awn-extras-applets

Requires:	chkconfig

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Tweaks and configuration items used to create Fuduntu

%prep
%setup -q

%build

%pre

%post

### Fix issue with installer not placing hostname in /etc/hosts
if [ ! "$(grep $(hostname) /etc/hosts)" ]; then
  sed -i "s#127.0.0.1#127.0.0.1\t$(hostname)#" /etc/hosts ||:
fi

### Fix issue with imgcreate macro (by removing it)
if [ -e "/etc/rpm/macros.imgcreate" ]; then
  rm /etc/rpm/macros.imgcreate >/dev/null 2>&1 ||:
fi

### Temporarily hide gnome-help icon in System menu to hide problem with yelp
if [ -e "/usr/share/applications/gnome-yelp.desktop" ]; then
  mv /usr/share/applications/gnome-yelp.desktop /var/fuduntu >/dev/null 2>&1 ||:
fi

if [ -e "/var/fuduntu/firefox" ]; then
  rm /var/fuduntu/firefox 2>/dev/null ||:
fi

chkconfig fuduntutweak on >/dev/null 2>&1 ||:
/etc/init.d/fuduntutweak start >/dev/null 2>&1 ||:

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/prompt.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/beesu-gksu.sh $RPM_BUILD_ROOT/etc/profile.d

install -d -m 755 $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 755 tweaks/etc/xdg/autostart/fontscale.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 755 tweaks/etc/xdg/autostart/setdefbg.desktop $RPM_BUILD_ROOT/etc/xdg/autostart

install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications
install -m 755 tweaks/usr/share/applications/fuduntu-panel.desktop $RPM_BUILD_ROOT/usr/share/applications

install -d -m 755 $RPM_BUILD_ROOT/etc/skel
install -m 755 tweaks/etc/skel/.Xresources $RPM_BUILD_ROOT/etc/skel

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/fuduntutweak $RPM_BUILD_ROOT/etc/init.d

install -d -m 755 $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/acpi $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/deadline $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/firefox $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/flash $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/grub  $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/ramdisk $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/fonts $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/services $RPM_BUILD_ROOT/etc/tweaks.d

install -d -m 755 $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
install -m 644 tweaks/etc/X11/xorg.conf.d/50-synaptics.conf $RPM_BUILD_ROOT/etc/X11/xorg.conf.d

install -d -m 755 $RPM_BUILD_ROOT/usr/local/bin
install -m 755 tweaks/usr/local/bin/fontscale.sh $RPM_BUILD_ROOT/usr/local/bin
install -m 755 tweaks/usr/local/bin/setdefbg.sh $RPM_BUILD_ROOT/usr/local/bin/setdefbg.sh

install -d -m 755 $RPM_BUILD_ROOT/usr/local/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/init.d/fuduntutweak
/etc/tweaks.d/acpi
/etc/tweaks.d/deadline
/etc/tweaks.d/firefox
/etc/tweaks.d/flash
/etc/tweaks.d/grub
/etc/tweaks.d/ramdisk
/etc/tweaks.d/fonts
/etc/tweaks.d/services
/etc/skel/.Xresources
/etc/profile.d/prompt.sh
/etc/profile.d/beesu-gksu.sh
/etc/X11/xorg.conf.d/50-synaptics.conf
/usr/local/bin/fontscale.sh
/usr/local/bin/setdefbg.sh
/etc/xdg/autostart/fontscale.desktop
/etc/xdg/autostart/setdefbg.desktop
/usr/share/applications/fuduntu-panel.desktop

%changelog
* Sun Jan 08 2012 Andrew Wyatt <andrew@fuduntu.org> - 2012-1
- New default font - Droid Sans

* Sat Nov 05 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.16
- Update compiz detection
- Fork Fuduntu Tweak application to improve boot time

* Sun Oct 16 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.15
- Move AWN and Compiz checks to fuduntu-awn package

* Sun Oct 09 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.14
- Drop some Adobe Flash tweaks - no longer needed

* Fri Sep 16 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.12
- Update prompt

* Sun Jul 03 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.11
- Update AWN defaults for new Banshee 2.x

* Mon May 23 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.10
- Fix 64bit flash tweak for Chromium 11

* Sun May 22 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-12
- Add tweak to set default background
- Apply Adobe flash tweak to work around detection issue
- Remove background randomizer
- Add additional AWN icons for the welcome tool
- Increase fontscale to 9 point font on small screens

* Mon May 02 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-8
- Reword bottom panel preference to reduce confusion. (dedoimedo)

* Fri Apr 29 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-7
- Fuduntu installer is not putting hostname in /etc/hosts - applied workaround

* Thu Mar 30 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-6
- Tap to click in GDM

* Thu Mar 23 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-5
- Move tweaks to /etc/tweaks.d (cleanup)

* Thu Mar 19 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-4
- Remove cgroups tweak (no longer needed with 2.6.38)

* Thu Mar 10 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-3
- Fix grub links bug

* Thu Mar 03 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-2
- Update random wallpaper chooser for new default wallpaper

* Wed Mar 02 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-1
- Speed up AWN Runonce and add simple command line options
- Alias beesu to gksu for compatibility
- Set a random background on first login
- Icon for Fuduntu Forum added to AWN and Applications menu

* Wed Feb 23 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.8-23
- Additional bottom panel preferences
- Disable rarely used services by default
- Add Chromium to AWN as a default (will be hidden if not installed)

* Tue Feb 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-21
- Convert panel chooser to become a preference

* Thu Feb 16 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-20
- Fix panel restore to also restore trash and plugged in device icons
- Fix compiz check to error out properly
- Fix AWN runonce to detect metacity properly

* Thu Feb 15 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-17
- Update prompt colorization to only colorize bash
- Add an option to restore bottom panel to awn tool

* Thu Feb 10 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-16
- Compiz autodetect + tweak
- AWN Auto-install + tweak + custom startup script
- Move fontscale.sh to /usr/local/bin
* Sat Jan 29 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-10
- Fix permissions on /tmp found after kickstart patch
* Sat Jan 25 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-8
- Re-apply IO scheduler tweak here
* Sat Jan 24 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-8
- Fix fontscale issue with multiple monitors
* Sat Jan 23 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-6
- Fix a problem with the RPM macros (macros.imgcreate)
- Mask an issue with yelp until it can be resolved
- Empty the RH bugzilla reporting configuration file since it can't be deleted or uninstalled.
* Sat Jan 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-4
- Add fontscale - dynamically adjust fonts based on screensize (Runs only once on login)
* Tue Jan 11 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-2
- Follow the firefox release to replace the default start page
* Thu Jan 08 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-1
- I was wrong, cgroups is still needed until 2.6.38
* Wed Jan 05 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- No longer remove docs and language files
- Correct GRUB symlink if it's broken (needed for future kernel update)
* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Correct font rendering for apps like OOo
* Sat Dec 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.3
- Disabled nodocs macro while troubleshooting incompatibilty with VirtualBox
- Altered firefox tweak to replace the right start page
* Fri Dec 10 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.1
- Cleaned up firefox tweak
* Thu Dec 09 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.0
- Retired deadline check since it is now in-kernel
- Altered fuduntu tweak script to run once for each tweak
- Do not install documentation with RPMs by default
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-6.2
- Moved some tweaks to init script
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Created to correct issues when building ISO from kickstart
- All tweaks moved here
